# Function insert

- insert(
  tbl: string,
  obj: Row,
  opts?: {
  ignoreExisting?: boolean;
  jsonCols?: string[];
  noid?: boolean;
  replace?: boolean;
  },
  ): Promise<any>

  #### Parameters

  - tbl: string
  - obj: Row
  - opts: {
    ignoreExisting?: boolean;
    jsonCols?: string[];
    noid?: boolean;
    replace?: boolean;
    } = {}

  #### Returns Promise<any>

  - Defined in sqlite-mobile/sqlite_capacitor.ts:76